givlist0.h File Reference
Givaro » bstruct

List of type T with double link and various insert/get/rmv method. More...

`#include "givaro/givbasictype.h"`
`#include "givaro/giverror.h"`
`#include "givaro/givlist0.inl"`
Include dependency graph for givlist0.h:

## Data Structures

class | List0< T >
| ListO. More...

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Detailed Description

List of type T with double link and various insert/get/rmv method.

Used reference counting on each node of the list.